<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCSessionDescription.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_331ebcd7eae20c401b28e17fa8e95b84.html">WebRTC.framework</a></li><li class="navelem"><a class="el" href="dir_16efaed54e63b7da363d990b22453cbf.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RTCSessionDescription.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright 2015 The WebRTC project authors. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Use of this source code is governed by a BSD-style license</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  that can be found in the LICENSE file in the root of the source</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  tree. An additional intellectual property rights grant can be found</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  in the file PATENTS.  All contributing project authors may</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *  be found in the AUTHORS file in the root of the source tree.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &lt;WebRTC/RTCMacros.h&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSInteger, RTCSdpType) {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  RTCSdpTypeOffer,</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  RTCSdpTypePrAnswer,</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  RTCSdpTypeAnswer,</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;};</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;NS_ASSUME_NONNULL_BEGIN</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;RTC_EXPORT</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="interface_r_t_c_session_description.html">   28</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_r_t_c_session_description.html">RTCSessionDescription</a> : NSObject</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="interface_r_t_c_session_description.html#a146b7be50074e0bef11d0eaf1811d4f0">   31</a></span>&#160;<span class="keyword">@property</span>(nonatomic, readonly) RTCSdpType <a class="code" href="interface_r_t_c_session_description.html#a146b7be50074e0bef11d0eaf1811d4f0">type</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="interface_r_t_c_session_description.html#a17c40106fcb6483f13ecba4ef3ed8858">   34</a></span>&#160;<span class="keyword">@property</span>(nonatomic, readonly) NSString *<a class="code" href="interface_r_t_c_session_description.html#a17c40106fcb6483f13ecba4ef3ed8858">sdp</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;- (instancetype)init NS_UNAVAILABLE;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;- (instancetype)initWithType:(RTCSdpType)type sdp:(NSString *)sdp</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    NS_DESIGNATED_INITIALIZER;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;+ (NSString *)stringForType:(RTCSdpType)type;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;+ (RTCSdpType)typeForString:(NSString *)string;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;NS_ASSUME_NONNULL_END</div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_r_t_c_session_description_html"><div class="ttname"><a href="interface_r_t_c_session_description.html">RTCSessionDescription</a></div><div class="ttdef"><b>Definition:</b> RTCSessionDescription.h:28</div></div>
<div class="ttc" id="ainterface_r_t_c_session_description_html_a17c40106fcb6483f13ecba4ef3ed8858"><div class="ttname"><a href="interface_r_t_c_session_description.html#a17c40106fcb6483f13ecba4ef3ed8858">RTCSessionDescription::sdp</a></div><div class="ttdeci">NSString * sdp</div><div class="ttdef"><b>Definition:</b> RTCSessionDescription.h:34</div></div>
<div class="ttc" id="ainterface_r_t_c_session_description_html_a146b7be50074e0bef11d0eaf1811d4f0"><div class="ttname"><a href="interface_r_t_c_session_description.html#a146b7be50074e0bef11d0eaf1811d4f0">RTCSessionDescription::type</a></div><div class="ttdeci">RTCSdpType type</div><div class="ttdef"><b>Definition:</b> RTCSessionDescription.h:31</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
